
-- Zadatak 1a
-- iz tablice s proizvodima , ispišite popis svih proizvoda
SELECT * FROM Proizvod

-- Zadatak 1b
-- iz tablice s proizvodima, ispišite popis svih boja s ponavljanjem i bez ponavljanja)
SELECT Boja FROM Proizvod

-- Zadatak 1b
-- iz tablice s proizvodima, ispišite popis svih boja bez ponavljanja
SELECT DISTINCT Boja FROM Proizvod

-- Zadatak 1c
-- ispišite popis proizvoda i pripadajuæu minimalnu kolièinu,
-- složeno silazno (od najveæe minimalne kolièine prema manjima)
SELECT Naziv, MinimalnaKolicinaNaSkladistu FROM Proizvod
	ORDER BY MinimalnaKolicinaNaSkladistu DESC

-- Zadatak 1d
-- ispišite 15 proizvoda s najmanjim minimalnim kolièinama
SELECT TOP 15 * FROM Proizvod
	ORDER BY MinimalnaKolicinaNaSkladistu
	
-- Zadatak 2a
-- iz tablice s proizvodima, ispišite sve proizvode kojima je minimalna kolièina manja od 100
SELECT * FROM Proizvod
	WHERE MinimalnaKolicinaNaSkladistu < 100

-- Zadatak 2b
-- iz tablice s proizvodima, ispišite proizvode kojima je minimalna kolièina na skladišnu minimalno 300,
-- a najviše 400, te su proizvodi složeni po boji
-- Rješenje 1
SELECT * FROM Proizvod
	WHERE MinimalnaKolicinaNaSkladistu >= 300 AND
	MinimalnaKolicinaNaSkladistu <= 400
	ORDER BY Boja
-- Rješenje 2
SELECT * FROM Proizvod
	WHERE MinimalnaKolicinaNaSkladistu BETWEEN 300 AND 400
	ORDER BY Boja

-- Zadatak 3a
-- ispišite sve komercijaliste koji su stalno  zaposleni
SELECT * FROM Komercijalist WHERE StalniZaposlenik = 1

-- Zadatak 3b
-- ispišite sve kreditne kartice sa ponavljanjem sortirane po tipu
SELECT * FROM KreditnaKartica
	ORDER BY Tip

-- Zadatak 3b
-- ispišite sve kreditne kartice bez ponavljanja sortirane po tipu
SELECT DISTINCT * FROM KreditnaKartica
	ORDER BY Tip

-- Zadatak 3c
-- ispišite sve kupce koji imaju unešenu e-mail adresu
SELECT * FROM Kupac WHERE Email IS NOT NULL

-- Zadatak 3d
-- ispišite popis naziva gradova i pripadnih ID-eva država (bez ponavljanja),
-- složen od manjih prema veæima (od A do Z), po ID-u države i nazivu grada
SELECT DISTINCT Naziv, DrzavaID FROM Grad
	ORDER BY DrzavaID, Naziv

-- Zadatak 3e
-- ispišite popis naziva gradova (bez ponavljanja) koji se nalaze u Hrvatskoj
-- (DrzavaID je jednaka 1), složen od veæih prema manjima (od Z do A)
SELECT DISTINCT Naziv FROM Grad
	WHERE DrzavaID = 1
	ORDER BY Naziv DESC